Summary: Faac - the Freeware Advanced Audio Coder
Name: faac
Version: 1.28
Release: 	3.4
Source0: 	%{name}-%{version}.tar.bz2
Patch0:         mp4v2.patch
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>
License: 	GPL
Group: System/Libraries
URL: http://www.audiocoding.com/ 
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires: dos2unix gcc-c++ libmp4v2-devel

%description
faac - the Freeware Advanced Audio Decoder is used for MP4 Audio encoding.

%package -n lib%{name}0
Summary: FAAC Shared library
Group: Development/Libraries/C and C++

%description -n lib%{name}0
Shared library, will be installed by the package manager when needed.

%package -n lib%{name}-devel
Summary: FAAC Header files and Libraries
Requires: %{name}
Requires: libmp4v2-0
Requires: libfaac0
Group: Development/Libraries/C and C++
Obsoletes: %{name}-devel
Provides: %{name}-devel

%description -n lib%{name}-devel
Headers and libraries to link against faac

%prep
%setup -q 
%patch0 -p1

%build 
dos2unix bootstrap Makefile.am configure.in
sh ./bootstrap
./configure --prefix=%{_prefix} --libdir=%{_libdir} --with-mp4v2
make %{?jobs:-j %jobs}


%install
make DESTDIR=%{buildroot} install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n lib%{name}0 -p /sbin/ldconfig
%postun -n lib%{name}0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/faac
%{_mandir}/man1/faac*

%files -n lib%{name}0
%defattr(-,root,root)
%{_libdir}/libfaac.so.0
%{_libdir}/libfaac.so.0.0.0

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/faac.h
%{_includedir}/faaccfg.h
%{_libdir}/libfaac.a
%exclude %{_libdir}/libfaac.la
%{_libdir}/libfaac.so

%changelog
* Fri May 1 2009 - Dominique Leuenberger <dominique-rpm@leuenberger.net> 1.28
- upgrade to version 1.28
* Fri Dec 19 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- build against new upstream libmp4v2 which is maintained.
* Sun Dec 3 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed group membership for Yast tools
- initial public released package
* Wed Nov 1 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- cleanup of .spec file
- added description tags
* Fri Oct 20 2006 Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial release 
